#! FluxPEEC 18.0


#loadProject('DistributionBars_Geo_Mesh.FLU')
     
lastInstance = FormulaVoltageSource(name='V1 : Voltage source 1',
                                    visibility=Visibility['VISIBLE'],
                                    color=Color['Turquoise'],
                                    rmsModulus='230',
                                    phase='0')
     
lastInstance = FormulaVoltageSource(name='V2 : Voltage source 2',
                                    visibility=Visibility['VISIBLE'],
                                    color=Color['Turquoise'],
                                    rmsModulus='230',
                                    phase='-120')
     
lastInstance = FormulaVoltageSource(name='V3 : Voltage source 3',
                                    visibility=Visibility['VISIBLE'],
                                    color=Color['Turquoise'],
                                    rmsModulus='230',
                                    phase='120')
     
lastInstance = Resistor(name='R1_LOAD1 : R1 of first load',
                        resistance='0.5',
                        visibility=Visibility['VISIBLE'],
                        color=Color['Turquoise'])
     
lastInstance = Resistor(name='R2_LOAD1 : R2 of first load',
                        resistance='0.5',
                        visibility=Visibility['VISIBLE'],
                        color=Color['Turquoise'])
     
lastInstance = Resistor(name='R3_LOAD1 : R3 of first load',
                        resistance='0.5',
                        visibility=Visibility['VISIBLE'],
                        color=Color['Turquoise'])
     
lastInstance = Resistor(name='R1_LOAD2 : R1 of second load',
                        resistance='0.4',
                        visibility=Visibility['VISIBLE'],
                        color=Color['Turquoise'])
     
lastInstance = Resistor(name='R2_LOAD2 : R2 of second load',
                        resistance='0.4',
                        visibility=Visibility['VISIBLE'],
                        color=Color['Turquoise'])
     
lastInstance = Resistor(name='R3_LOAD2 : R3 of second load',
                        resistance='0.4',
                        visibility=Visibility['VISIBLE'],
                        color=Color['Turquoise'])
     
lastInstance = Inductor(name='L1_LOAD2 : L1 of second load',
                        inductance='0.001',
                        visibility=Visibility['VISIBLE'],
                        color=Color['Turquoise'])
     
lastInstance = Inductor(name='L2_LOAD2 : L2 of second load',
                        inductance='0.001',
                        visibility=Visibility['VISIBLE'],
                        color=Color['Turquoise'])
     
lastInstance = Inductor(name='L3_LOAD2 : L3 of second load',
                        inductance='0.001',
                        visibility=Visibility['VISIBLE'],
                        color=Color['Turquoise'])
     
lastInstance = Resistor(name='R1_LOAD3 : R1 of third load',
                        resistance='0.5',
                        visibility=Visibility['VISIBLE'],
                        color=Color['Turquoise'])
     
lastInstance = Resistor(name='R2_LOAD3 : R2 of third load',
                        resistance='0.5',
                        visibility=Visibility['VISIBLE'],
                        color=Color['Turquoise'])
     
lastInstance = Resistor(name='R3_LOAD3 : R3 of third load',
                        resistance='0.5',
                        visibility=Visibility['VISIBLE'],
                        color=Color['Turquoise'])
     
startMacroTransaction()
TermConnection['CO_AUTO_1'] = ProximityConnection(name='CO_AUTO_1',
                                                  connectedTerminals=[Terminal['TERM_BAR_19_1'],
                                                  Terminal['TERM_BAR_1_2'],
                                                  Terminal['TERM_BAR_3_2'],
                                                  Terminal['TERM_BAR_5_2']],
                                                  color=Color['Red'],
                                                  visibility=Visibility['VISIBLE'])
TermConnection['CO_AUTO_10'] = ProximityConnection(name='CO_AUTO_10',
                                                   connectedTerminals=[Terminal['TERM_BAR_24_1'],
                                                   Terminal['TERM_BAR_13_4'],
                                                   Terminal['TERM_BAR_15_4'],
                                                   Terminal['TERM_BAR_17_4']],
                                                   color=Color['Red'],
                                                   visibility=Visibility['VISIBLE'])
TermConnection['CO_AUTO_11'] = ProximityConnection(name='CO_AUTO_11',
                                                   connectedTerminals=[Terminal['TERM_BAR_21_2'],
                                                   Terminal['TERM_BAR_14_2'],
                                                   Terminal['TERM_BAR_16_2'],
                                                   Terminal['TERM_BAR_18_2']],
                                                   color=Color['Red'],
                                                   visibility=Visibility['VISIBLE'])
TermConnection['CO_AUTO_12'] = ProximityConnection(name='CO_AUTO_12',
                                                   connectedTerminals=[Terminal['TERM_BAR_24_2'],
                                                   Terminal['TERM_BAR_14_4'],
                                                   Terminal['TERM_BAR_16_4'],
                                                   Terminal['TERM_BAR_18_4']],
                                                   color=Color['Red'],
                                                   visibility=Visibility['VISIBLE'])
TermConnection['CO_AUTO_2'] = ProximityConnection(name='CO_AUTO_2',
                                                  connectedTerminals=[Terminal['TERM_BAR_22_1'],
                                                  Terminal['TERM_BAR_1_4'],
                                                  Terminal['TERM_BAR_3_4'],
                                                  Terminal['TERM_BAR_5_4']],
                                                  color=Color['Red'],
                                                  visibility=Visibility['VISIBLE'])
TermConnection['CO_AUTO_3'] = ProximityConnection(name='CO_AUTO_3',
                                                  connectedTerminals=[Terminal['TERM_BAR_19_2'],
                                                  Terminal['TERM_BAR_2_2'],
                                                  Terminal['TERM_BAR_4_2'],
                                                  Terminal['TERM_BAR_6_2']],
                                                  color=Color['Red'],
                                                  visibility=Visibility['VISIBLE'])
TermConnection['CO_AUTO_4'] = ProximityConnection(name='CO_AUTO_4',
                                                  connectedTerminals=[Terminal['TERM_BAR_22_2'],
                                                  Terminal['TERM_BAR_2_4'],
                                                  Terminal['TERM_BAR_4_4'],
                                                  Terminal['TERM_BAR_6_4']],
                                                  color=Color['Red'],
                                                  visibility=Visibility['VISIBLE'])
TermConnection['CO_AUTO_5'] = ProximityConnection(name='CO_AUTO_5',
                                                  connectedTerminals=[Terminal['TERM_BAR_20_2'],
                                                  Terminal['TERM_BAR_7_2'],
                                                  Terminal['TERM_BAR_9_2'],
                                                  Terminal['TERM_BAR_11_2']],
                                                  color=Color['Red'],
                                                  visibility=Visibility['VISIBLE'])
TermConnection['CO_AUTO_6'] = ProximityConnection(name='CO_AUTO_6',
                                                  connectedTerminals=[Terminal['TERM_BAR_23_2'],
                                                  Terminal['TERM_BAR_7_4'],
                                                  Terminal['TERM_BAR_9_4'],
                                                  Terminal['TERM_BAR_11_4']],
                                                  color=Color['Red'],
                                                  visibility=Visibility['VISIBLE'])
TermConnection['CO_AUTO_7'] = ProximityConnection(name='CO_AUTO_7',
                                                  connectedTerminals=[Terminal['TERM_BAR_20_1'],
                                                  Terminal['TERM_BAR_8_2'],
                                                  Terminal['TERM_BAR_10_2'],
                                                  Terminal['TERM_BAR_12_2']],
                                                  color=Color['Red'],
                                                  visibility=Visibility['VISIBLE'])
TermConnection['CO_AUTO_8'] = ProximityConnection(name='CO_AUTO_8',
                                                  connectedTerminals=[Terminal['TERM_BAR_23_1'],
                                                  Terminal['TERM_BAR_8_4'],
                                                  Terminal['TERM_BAR_10_4'],
                                                  Terminal['TERM_BAR_12_4']],
                                                  color=Color['Red'],
                                                  visibility=Visibility['VISIBLE'])
TermConnection['CO_AUTO_9'] = ProximityConnection(name='CO_AUTO_9',
                                                  connectedTerminals=[Terminal['TERM_BAR_21_1'],
                                                  Terminal['TERM_BAR_13_2'],
                                                  Terminal['TERM_BAR_15_2'],
                                                  Terminal['TERM_BAR_17_2']],
                                                  color=Color['Red'],
                                                  visibility=Visibility['VISIBLE'])
endMacroTransaction()
     
lastInstance = EquipotentialConnection(name='V1_COND : Connection of V1 with horizontal bars of phase 1',
                                       connectedTerminals=[Terminal['TERM_V1_1'],
                                       Terminal['TERM_BAR_1_1'],
                                       Terminal['TERM_BAR_2_1'],
                                       Terminal['TERM_BAR_3_1'],
                                       Terminal['TERM_BAR_4_1'],
                                       Terminal['TERM_BAR_5_1'],
                                       Terminal['TERM_BAR_6_1']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='V2_COND : Connection of V2 with horizontal bars of phase 2',
                                       connectedTerminals=[Terminal['TERM_V2_1'],
                                       Terminal['TERM_BAR_7_1'],
                                       Terminal['TERM_BAR_8_1'],
                                       Terminal['TERM_BAR_9_1'],
                                       Terminal['TERM_BAR_10_1'],
                                       Terminal['TERM_BAR_11_1'],
                                       Terminal['TERM_BAR_12_1']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='V3_COND : Connection of V3 with horizontal bars of phase 3',
                                       connectedTerminals=[Terminal['TERM_V3_1'],
                                       Terminal['TERM_BAR_13_1'],
                                       Terminal['TERM_BAR_14_1'],
                                       Terminal['TERM_BAR_15_1'],
                                       Terminal['TERM_BAR_16_1'],
                                       Terminal['TERM_BAR_17_1'],
                                       Terminal['TERM_BAR_18_1']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='NEUTRAL_SOURCE : Connection of neutral point of voltage sources',
                                       connectedTerminals=[Terminal['TERM_V1_2'],
                                       Terminal['TERM_V2_2'],
                                       Terminal['TERM_V3_2']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='LOAD1_PHASE_1 : Connection of load 1 with phase 1',
                                       connectedTerminals=[Terminal['TERM_R1_LOAD1_1'],
                                       Terminal['TERM_BAR_19_4']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='LOAD1_PHASE_2 : Connection of load 1 with phase 2',
                                       connectedTerminals=[Terminal['TERM_R2_LOAD1_1'],
                                       Terminal['TERM_BAR_20_4']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='LOAD1_PHASE_3 : Connection of load 1 with phase 3',
                                       connectedTerminals=[Terminal['TERM_R3_LOAD1_1'],
                                       Terminal['TERM_BAR_21_4']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='NEUTRAL_LOAD1 : Connection of neutral point of load 1',
                                       connectedTerminals=[Terminal['TERM_R1_LOAD1_2'],
                                       Terminal['TERM_R2_LOAD1_2'],
                                       Terminal['TERM_R3_LOAD1_2']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='LOAD2_PHASE_1 : Connection of load 2 with phase 1',
                                       connectedTerminals=[Terminal['TERM_L1_LOAD2_1'],
                                       Terminal['TERM_BAR_22_4']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='LOAD2_PHASE_2 : Connection of load 2 with phase 2',
                                       connectedTerminals=[Terminal['TERM_L2_LOAD2_1'],
                                       Terminal['TERM_BAR_23_4']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='LOAD2_PHASE_3 : Connection of load 2 with phase 3',
                                       connectedTerminals=[Terminal['TERM_L3_LOAD2_1'],
                                       Terminal['TERM_BAR_24_4']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='NEUTRAL_LOAD2 : Connection of neutral point of load 2',
                                       connectedTerminals=[Terminal['TERM_R1_LOAD2_2'],
                                       Terminal['TERM_R2_LOAD2_2'],
                                       Terminal['TERM_R3_LOAD2_2']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='LOAD2_1 : Connection between R1 and L1 of load 2',
                                       connectedTerminals=[Terminal['TERM_R1_LOAD2_1'],
                                       Terminal['TERM_L1_LOAD2_2']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='LOAD2_2 : Connection between R2 and L2 of load 2',
                                       connectedTerminals=[Terminal['TERM_R2_LOAD2_1'],
                                       Terminal['TERM_L2_LOAD2_2']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='LOAD2_3 : Connection between R3 and L3 of load 2',
                                       connectedTerminals=[Terminal['TERM_R3_LOAD2_1'],
                                       Terminal['TERM_L3_LOAD2_2']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='LOAD3_PHASE_1 : Connection of load 3 with phase 1',
                                       connectedTerminals=[Terminal['TERM_R1_LOAD3_1'],
                                       Terminal['TERM_BAR_1_5'],
                                       Terminal['TERM_BAR_2_5'],
                                       Terminal['TERM_BAR_3_5'],
                                       Terminal['TERM_BAR_4_5'],
                                       Terminal['TERM_BAR_5_5'],
                                       Terminal['TERM_BAR_6_5']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='LOAD3_PHASE_2 : Connection of load 3 with phase 2',
                                       connectedTerminals=[Terminal['TERM_R2_LOAD3_1'],
                                       Terminal['TERM_BAR_7_5'],
                                       Terminal['TERM_BAR_8_5'],
                                       Terminal['TERM_BAR_9_5'],
                                       Terminal['TERM_BAR_10_5'],
                                       Terminal['TERM_BAR_11_5'],
                                       Terminal['TERM_BAR_12_5']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='LOAD3_PHASE_3 : Connection of load 3 with phase 3',
                                       connectedTerminals=[Terminal['TERM_R3_LOAD3_1'],
                                       Terminal['TERM_BAR_13_5'],
                                       Terminal['TERM_BAR_14_5'],
                                       Terminal['TERM_BAR_15_5'],
                                       Terminal['TERM_BAR_16_5'],
                                       Terminal['TERM_BAR_17_5'],
                                       Terminal['TERM_BAR_18_5']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
lastInstance = EquipotentialConnection(name='NEUTRAL_LOAD3 : Connection of neutral point of load 3',
                                       connectedTerminals=[Terminal['TERM_R1_LOAD3_2'],
                                       Terminal['TERM_R2_LOAD3_2'],
                                       Terminal['TERM_R3_LOAD3_2']],
                                       color=Color['Green'],
                                       visibility=Visibility['VISIBLE'])
     
saveProjectAs('phys_circuit_built.FLU')

