#! FluxPEEC 18.0


newProject()
     
lastInstance = ApplicationInCaSuppliedConductors(automaticConductorMaterial=Material['COPPER'])
     
Scenario(name='Scenario_1')
     
startMacroTransaction()
     
Scenario['Scenario_1'].addPilot(pilot=MonoValue(parameter=VariationParameter['FREQUENCY'],
                                value=50.0))
     
endMacroTransaction()
     
lastInstance = ParameterGeom(name='X_BAR : Thickness of one bar (mm)',
                             expression='10')
     
lastInstance = ParameterGeom(name='Y_BAR : Width of one horizontal bar (mm)',
                             expression='40')
     
lastInstance = ParameterGeom(name='D_X : Inner distance along x between two bars of same phase (mm)',
                             expression='10')
     
lastInstance = ParameterGeom(name='D_Y : Inner distance along y between two bars of same phase (mm)',
                             expression='10')
     
lastInstance = ParameterGeom(name='D_X_BAR : Center-to-center distance along x between two bars of same phase (mm)',
                             expression='X_BAR+D_X')
     
lastInstance = ParameterGeom(name='D_Y_BAR : Center-to-center distance along y between two bars of same phase (mm)',
                             expression='Y_BAR+D_Y')
     
lastInstance = ParameterGeom(name='D_X_PHASE : Center-to-center distance along x between two phases (mm)',
                             expression='180')
     
lastInstance = ParameterGeom(name='D_Y_PHASE : Center-to-center distance along y between two phases (mm)',
                             expression='170')
     
lastInstance = ParameterGeom(name='LENGTH : Length of conductors (mm)',
                             expression='1000')
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['0',
                                      '0',
                                      '0'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['0',
                                      '0',
                                      '300'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['0',
                                      '0',
                                      'LENGTH'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['300',
                                      '0',
                                      'LENGTH'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['LENGTH',
                                      '0',
                                      'LENGTH'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['D_X_BAR',
                                      '0',
                                      '0'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['D_X_BAR',
                                      '0',
                                      '300'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['D_X_BAR',
                                      '0',
                                      'LENGTH-D_X_BAR'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['300',
                                      '0',
                                      'LENGTH-D_X_BAR'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['LENGTH',
                                      '0',
                                      'LENGTH-D_X_BAR'])
     
lastInstance = GeometricTubeOpenPath(name='BAR_1',
                                     color=Color['White'],
                                     visibility=Visibility['VISIBLE'],
                                     pathPoints=[TubePoint[1],
                                     TubePoint[2],
                                     TubePoint[3],
                                     TubePoint[4],
                                     TubePoint[5]],
                                     defaultSection=RectangleSection(rectangle=['X_BAR',
                                     'Y_BAR']),
                                     coordSys=CoordSys['XYZ1'])
     
lastInstance = GeometricTubeOpenPath(name='BAR_2',
                                     color=Color['White'],
                                     visibility=Visibility['VISIBLE'],
                                     pathPoints=[TubePoint[6],
                                     TubePoint[7],
                                     TubePoint[8],
                                     TubePoint[9],
                                     TubePoint[10]],
                                     defaultSection=RectangleSection(rectangle=['X_BAR',
                                     'Y_BAR']),
                                     coordSys=CoordSys['XYZ1'])
     
lastInstance = TransfTranslationVector(name='TRANSF_Y',
                                       coordSys=CoordSys['XYZ1'],
                                       vector=['0',
                                       'D_Y_BAR',
                                       '0'])
     
lastInstance = GeometricTubePropagated(name='BAR_3',
                                       color=Color['White'],
                                       visibility=Visibility['VISIBLE'],
                                       propagation=Transf['TRANSF_Y'],
                                       geomTube=GeomTube['BAR_1'])
     
lastInstance = GeometricTubePropagated(name='BAR_4',
                                       color=Color['White'],
                                       visibility=Visibility['VISIBLE'],
                                       propagation=Transf['TRANSF_Y'],
                                       geomTube=GeomTube['BAR_2'])
     
lastInstance = GeometricTubePropagated(name='BAR_5',
                                       color=Color['White'],
                                       visibility=Visibility['VISIBLE'],
                                       propagation=Transf['TRANSF_Y'],
                                       geomTube=GeomTube['BAR_3'])
     
lastInstance = GeometricTubePropagated(name='BAR_6',
                                       color=Color['White'],
                                       visibility=Visibility['VISIBLE'],
                                       propagation=Transf['TRANSF_Y'],
                                       geomTube=GeomTube['BAR_4'])
     
ConductorUnidirectionalTube[ALL].color = Color['Red']
     
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['D_X_PHASE',
                                      '0',
                                      '0'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['D_X_PHASE',
                                      '0',
                                      '350'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['D_X_PHASE',
                                      '0',
                                      'LENGTH-D_X_PHASE'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['350',
                                      '0',
                                      'LENGTH-D_X_PHASE'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['LENGTH',
                                      '0',
                                      'LENGTH-D_X_PHASE'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['D_X_PHASE+D_X_BAR',
                                      '0',
                                      '0'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['D_X_PHASE+D_X_BAR',
                                      '0',
                                      '350'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['D_X_PHASE+D_X_BAR',
                                      '0',
                                      'LENGTH-D_X_PHASE-D_X_BAR'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['350',
                                      '0',
                                      'LENGTH-D_X_PHASE-D_X_BAR'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['LENGTH',
                                      '0',
                                      'LENGTH-D_X_PHASE-D_X_BAR'])
     
lastInstance = GeometricTubeOpenPath(name='BAR_7',
                                     color=Color['White'],
                                     visibility=Visibility['VISIBLE'],
                                     pathPoints=[TubePoint[11],
                                     TubePoint[12],
                                     TubePoint[13],
                                     TubePoint[14],
                                     TubePoint[15]],
                                     defaultSection=RectangleSection(rectangle=['X_BAR',
                                     'Y_BAR']),
                                     coordSys=CoordSys['XYZ1'])
     
lastInstance = GeometricTubeOpenPath(name='BAR_8',
                                     color=Color['White'],
                                     visibility=Visibility['VISIBLE'],
                                     pathPoints=[TubePoint[16],
                                     TubePoint[17],
                                     TubePoint[18],
                                     TubePoint[19],
                                     TubePoint[20]],
                                     defaultSection=RectangleSection(rectangle=['X_BAR',
                                     'Y_BAR']),
                                     coordSys=CoordSys['XYZ1'])
     
lastInstance = GeometricTubePropagated(name='BAR_9',
                                       color=Color['White'],
                                       visibility=Visibility['VISIBLE'],
                                       propagation=Transf['TRANSF_Y'],
                                       geomTube=GeomTube['BAR_7'])
     
lastInstance = GeometricTubePropagated(name='BAR_10',
                                       color=Color['White'],
                                       visibility=Visibility['VISIBLE'],
                                       propagation=Transf['TRANSF_Y'],
                                       geomTube=GeomTube['BAR_8'])
     
lastInstance = GeometricTubePropagated(name='BAR_11',
                                       color=Color['White'],
                                       visibility=Visibility['VISIBLE'],
                                       propagation=Transf['TRANSF_Y'],
                                       geomTube=GeomTube['BAR_9'])
     
lastInstance = GeometricTubePropagated(name='BAR_12',
                                       color=Color['White'],
                                       visibility=Visibility['VISIBLE'],
                                       propagation=Transf['TRANSF_Y'],
                                       geomTube=GeomTube['BAR_10'])
     
ConductorUnidirectionalTube['BAR_7', 'BAR_8', 'BAR_9', 'BAR_10', 'BAR_11', 'BAR_12'].color = Color['Green']
     
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['0',
                                      'D_Y_PHASE',
                                      '0'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['0',
                                      'D_Y_PHASE',
                                      '400'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['0',
                                      'D_Y_PHASE',
                                      'LENGTH'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['400',
                                      'D_Y_PHASE',
                                      'LENGTH'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['LENGTH',
                                      'D_Y_PHASE',
                                      'LENGTH'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['D_X_BAR',
                                      'D_Y_PHASE',
                                      '0'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['D_X_BAR',
                                      'D_Y_PHASE',
                                      '400'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['D_X_BAR',
                                      'D_Y_PHASE',
                                      'LENGTH-D_X_BAR'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['400',
                                      'D_Y_PHASE',
                                      'LENGTH-D_X_BAR'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['LENGTH',
                                      'D_Y_PHASE',
                                      'LENGTH-D_X_BAR'])
     
lastInstance = GeometricTubeOpenPath(name='BAR_13',
                                     color=Color['White'],
                                     visibility=Visibility['VISIBLE'],
                                     pathPoints=[TubePoint[21],
                                     TubePoint[22],
                                     TubePoint[23],
                                     TubePoint[24],
                                     TubePoint[25]],
                                     defaultSection=RectangleSection(rectangle=['X_BAR',
                                     'Y_BAR']),
                                     coordSys=CoordSys['XYZ1'])
     
lastInstance = GeometricTubeOpenPath(name='BAR_14',
                                     color=Color['White'],
                                     visibility=Visibility['VISIBLE'],
                                     pathPoints=[TubePoint[26],
                                     TubePoint[27],
                                     TubePoint[28],
                                     TubePoint[29],
                                     TubePoint[30]],
                                     defaultSection=RectangleSection(rectangle=['X_BAR',
                                     'Y_BAR']),
                                     coordSys=CoordSys['XYZ1'])
     
lastInstance = GeometricTubePropagated(name='BAR_15',
                                       color=Color['White'],
                                       visibility=Visibility['VISIBLE'],
                                       propagation=Transf['TRANSF_Y'],
                                       geomTube=GeomTube['BAR_13'])
     
lastInstance = GeometricTubePropagated(name='BAR_16',
                                       color=Color['White'],
                                       visibility=Visibility['VISIBLE'],
                                       propagation=Transf['TRANSF_Y'],
                                       geomTube=GeomTube['BAR_14'])
     
lastInstance = GeometricTubePropagated(name='BAR_17',
                                       color=Color['White'],
                                       visibility=Visibility['VISIBLE'],
                                       propagation=Transf['TRANSF_Y'],
                                       geomTube=GeomTube['BAR_15'])
     
lastInstance = GeometricTubePropagated(name='BAR_18',
                                       color=Color['White'],
                                       visibility=Visibility['VISIBLE'],
                                       propagation=Transf['TRANSF_Y'],
                                       geomTube=GeomTube['BAR_16'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['0',
                                      'D_Y_BAR',
                                      '300'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['D_X_BAR',
                                      'D_Y_BAR',
                                      '300'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['(D_X_PHASE+D_X_BAR)/2',
                                      'D_Y_BAR',
                                      '300'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['(D_X_PHASE+D_X_BAR)/2',
                                      '-300',
                                      '300'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['D_X_PHASE+D_X_BAR',
                                      'D_Y_BAR',
                                      '350'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['D_X_PHASE',
                                      'D_Y_BAR',
                                      '350'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['(D_X_PHASE+D_X_BAR)/2',
                                      'D_Y_BAR',
                                      '350'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['(D_X_PHASE+D_X_BAR)/2',
                                      '-300',
                                      '350'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['0',
                                      'D_Y_PHASE+D_Y_BAR',
                                      '400'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['D_X_BAR',
                                      'D_Y_PHASE+D_Y_BAR',
                                      '400'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['(D_X_PHASE+D_X_BAR)/2',
                                      'D_Y_PHASE+D_Y_BAR',
                                      '400'])
     
lastInstance = TubePointByCoordinates(color=Color['White'],
                                      visibility=Visibility['VISIBLE'],
                                      coordSys=CoordSys['XYZ1'],
                                      uvw=['(D_X_PHASE+D_X_BAR)/2',
                                      '-300',
                                      '400'])
     
lastInstance = GeometricTubeOpenPath(name='BAR_19',
                                     color=Color['White'],
                                     visibility=Visibility['VISIBLE'],
                                     pathPoints=[TubePoint[31],
                                     TubePoint[32],
                                     TubePoint[33],
                                     TubePoint[34]],
                                     defaultSection=RectangleSection(rectangle=['104',
                                     'X_BAR']),
                                     coordSys=CoordSys['XYZ1'])
     
lastInstance = GeometricTubeOpenPath(name='BAR_20',
                                     color=Color['White'],
                                     visibility=Visibility['VISIBLE'],
                                     pathPoints=[TubePoint[35],
                                     TubePoint[36],
                                     TubePoint[37],
                                     TubePoint[38]],
                                     defaultSection=RectangleSection(rectangle=['104',
                                     'X_BAR']),
                                     coordSys=CoordSys['XYZ1'])
     
lastInstance = GeometricTubeOpenPath(name='BAR_21',
                                     color=Color['White'],
                                     visibility=Visibility['VISIBLE'],
                                     pathPoints=[TubePoint[39],
                                     TubePoint[40],
                                     TubePoint[41],
                                     TubePoint[42]],
                                     defaultSection=RectangleSection(rectangle=['104',
                                     'X_BAR']),
                                     coordSys=CoordSys['XYZ1'])
     
lastInstance = TransfRotation3AnglesPivotCoord(name='ROT_Y',
                                               coordSys=CoordSys['XYZ1'],
                                               pivotCoord=['500',
                                               '0',
                                               '500'],
                                               rotationAngles=RotationAngles(angleX='0',
                                               angleY='90',
                                               angleZ='0'))
     
lastInstance = GeometricTubePropagated(name='BAR_22',
                                       color=Color['White'],
                                       visibility=Visibility['VISIBLE'],
                                       propagation=Transf['ROT_Y'],
                                       geomTube=GeomTube['BAR_19'])
     
lastInstance = GeometricTubePropagated(name='BAR_23',
                                       color=Color['White'],
                                       visibility=Visibility['VISIBLE'],
                                       propagation=Transf['ROT_Y'],
                                       geomTube=GeomTube['BAR_20'])
     
lastInstance = GeometricTubePropagated(name='BAR_24',
                                       color=Color['White'],
                                       visibility=Visibility['VISIBLE'],
                                       propagation=Transf['ROT_Y'],
                                       geomTube=GeomTube['BAR_21'])
     
ConductorUnidirectionalTube['BAR_19', 'BAR_22'].color = Color['Red']
     
     
ConductorUnidirectionalTube['BAR_20', 'BAR_23'].color = Color['Green']
     
     
startMacroTransaction()
ConductorUnidirectional['BAR_19'].mesh = TubeUniform(numbers=[13,
                                                     2])
     
ConductorUnidirectional['BAR_20'].mesh = TubeUniform(numbers=[13,
                                                     2])
     
ConductorUnidirectional['BAR_21'].mesh = TubeUniform(numbers=[13,
                                                     2])
     
ConductorUnidirectional['BAR_22'].mesh = TubeUniform(numbers=[13,
                                                     2])
     
ConductorUnidirectional['BAR_23'].mesh = TubeUniform(numbers=[13,
                                                     2])
     
ConductorUnidirectional['BAR_24'].mesh = TubeUniform(numbers=[13,
                                                     2])
     
endMacroTransaction()
     
startMacroTransaction()
ConductorUnidirectional['BAR_18'].postProMesh = 20
     
ConductorUnidirectional['BAR_17'].postProMesh = 20
     
ConductorUnidirectional['BAR_16'].postProMesh = 20
     
ConductorUnidirectional['BAR_15'].postProMesh = 20
     
ConductorUnidirectional['BAR_14'].postProMesh = 20
     
ConductorUnidirectional['BAR_13'].postProMesh = 20
     
ConductorUnidirectional['BAR_12'].postProMesh = 20
     
ConductorUnidirectional['BAR_11'].postProMesh = 20
     
ConductorUnidirectional['BAR_10'].postProMesh = 20
     
ConductorUnidirectional['BAR_1'].postProMesh = 20
     
ConductorUnidirectional['BAR_2'].postProMesh = 20
     
ConductorUnidirectional['BAR_3'].postProMesh = 20
     
ConductorUnidirectional['BAR_4'].postProMesh = 20
     
ConductorUnidirectional['BAR_5'].postProMesh = 20
     
ConductorUnidirectional['BAR_7'].postProMesh = 20
     
ConductorUnidirectional['BAR_6'].postProMesh = 20
     
ConductorUnidirectional['BAR_9'].postProMesh = 20
     
ConductorUnidirectional['BAR_8'].postProMesh = 20
     
endMacroTransaction()
     
MeshAllConductors()
     
saveProjectAs('physbuilt.FLU')
